source ~/.mutt/passwords


set realname="Franziska Kunsmann"

set folder="imap://mx0.kunbox.net/"
set spoolfile="+INBOX"
set record="+Sent"
set postponed="+Drafts"
set trash="+Trash"

set from=hi@kunsmann.eu
set use_from=yes
set smtp_url=smtp://$imap_user:$imap_pass@mx0.kunbox.net:587/

set send_charset=utf-8
set edit_headers=yes
set ssl_starttls=yes
set ssl_force_tls=yes
unset imap_passive        
set imap_check_subscribed
set mail_check=60
set timeout=10
set header_cache=~/.mutt/header_cache
set net_inc=5

set narrow_tree=no
set sort=threads
set sort_aux=last-date-received
set strict_threads=yes

set fast_reply=yes
set include=yes

set sidebar_visible=yes
set sidebar_sort_method=path
set sidebar_folder_indent=yes
set sidebar_indent_string='  '
set mail_check_stats
set sidebar_format = '%B%* %?N?%N / ?%S'
set sidebar_short_path=yes
set sidebar_width=30
set sidebar_delim_chars='/.'
set sidebar_next_new_wrap=yes

set mailcap_path=~/.mutt/mailcap
alternative_order text/plain text/html
auto_view text/html

set index_format="%4C %Z %{%b %d} %-25.25L (%?l?%4l&%4c?) %s"

set editor="vim -c 'set spell spelllang=de,en'"

source ~/.mutt/gpg.rc

set pgp_use_gpg_agent=yes
set pgp_sign_as=5FE37FF3C981A9146C3805324205EF53ECE0D2BC
set pgp_timeout=60
set pgp_autosign=yes
set crypt_autosign=yes
set crypt_replyencrypt=yes
set crypt_verify_sig=yes
set crypt_replysignencrypted=yes

set pgp_decode_command="gpg %?p?--passphrase-fd 0? --no-verbose --batch --output - %f"
set pgp_verify_command="gpg --status-fd=2 --no-verbose --batch --output - --verify %s %f"
set pgp_decrypt_command="gpg --status-fd=2 --passphrase-fd 0 --no-verbose --batch --output - %f"
set pgp_sign_command="gpg --no-verbose --batch --output - --passphrase-fd 0 --armor --detach-sign --textmode %?a?-u %a? %f"
set pgp_clearsign_command="gpg --no-verbose --batch --output - --passphrase-fd 0 --armor --textmode --clearsign %?a?-u %a? %f"
set pgp_encrypt_only_command="pgpewrap gpg --batch --quiet --no-verbose --output - --encrypt --textmode --armor --always-trust --encrypt-to 5FE37FF3C981A9146C3805324205EF53ECE0D2BC -- -r %r -- %f"
set pgp_encrypt_sign_command="pgpewrap gpg --passphrase-fd 0 --batch --quiet --no-verbose --textmode --output - --encrypt --sign %?a?-u %a? --armor --always-trust --encrypt-to 5FE37FF3C981A9146C3805324205EF53ECE0D2BC -- -r %r -- %f"
set pgp_import_command="gpg --no-verbose --import -v %f"
set pgp_export_command="gpg --no-verbose --export --armor %r"
set pgp_verify_key_command="gpg --no-verbose --batch --fingerprint --check-sigs %r"
set pgp_list_pubring_command="gpg --no-verbose --batch --with-colons --list-keys %r" 
set pgp_list_secring_command="gpg --no-verbose --batch --with-colons --list-secret-keys %r" 

send-hook . 'reset pgp_autoencrypt'
send-hook "!~l ~t office@ccc.de" "set crypt_autoencrypt crypt_autosign"

set query_command= "khard email --parsable '%s'"
bind editor <Tab> complete-query
bind editor ^T    complete
bind index,pager S sidebar-toggle-visible

#source ~/.mutt/dracula-theme/dracula.muttrc
source ~/.mutt/spacekookie.theme

# vim: syntax=muttrc
